# Gimp.LoadProcedure

    const Gimp = imports.gi.Gimp;

    let loadProcedure = new Gimp.LoadProcedure();

A [class@Procedure] subclass that makes it easier to write file load procedures.

It automatically adds the standard

( [enum@RunMode], [iface@Gio.File] )

arguments and the standard

( [class@Image] )

return value of a load procedure. It is possible to add additional arguments.

When invoked via [method@Procedure.run], it unpacks these standard arguments and calls @run_func which is a [callback@RunImageFunc]. The "args" [struct@ValueArray] of [callback@RunImageFunc] only contains additionally added arguments.

## Hierarchy

- GObject.Object
  - Gimp.Procedure
    - Gimp.FileProcedure
      - Gimp.LoadProcedure

## Constructors

- Gimp.LoadProcedure.new

## Methods

- Gimp.LoadProcedure.prototype.get_handles_raw
- Gimp.LoadProcedure.prototype.get_thumbnail_loader
- Gimp.LoadProcedure.prototype.set_handles_raw
- Gimp.LoadProcedure.prototype.set_thumbnail_loader